#-*-coding:utf-8-*-
"""
    Configuration de l'importation scribe
"""
from os.path import join

# options de parsing
DATA_TYPE = ['sconet', 'aaf', 'be1d', 'csv']

CATEGORIES = dict(
sconet=[('eleve', "élèves et responsables"),
        ('eleve_ss_resp', "élèves seulement"),
        ('enseignant', "enseignants et personnels administratifs"),],
aaf=[('eleve',"élèves et responsables"),
     ('eleve_ss_resp', "élèves seulement"),
     ('enseignant', "enseignants et personnels administratifs"),],
be1d=[('eleve_ss_resp', "élèves")],
csv=[('eleve_ss_resp', "élèves"),
      ('enseignant', "enseignants")]
)

SCONET_FILES = dict(eleve=(
        ('eleve', """Fichier Sconet Eleves<br />
(ExportXML_ElevesSansAdresses.zip ou ElevesSansAdresses.xml)""",),
        ('nomenclature', """Fichier Sconet Nomenclature<br />
(ExportXML_Nomenclature.zip ou Nomenclature.xml)""",),
        ('responsable', """Fichier Sconet Responsables<br />
(ExportXML_ResponsablesAvecAdresses.zip ou ResponsablesAvecAdresses.xml)""",),
        ('structure', """Fichier Sconet Structures<br />
(ExportXML_Structures.zip ou Structures.xml)""",),),
        eleve_ss_resp=(
        ('eleve', """Fichier Sconet Eleves<br />
(ExportXML_ElevesSansAdresses.zip ou ElevesSansAdresses.xml)""",),
        ('nomenclature', """Fichier Sconet Nomenclature<br />
(ExportXML_Nomenclature.zip ou Nomenclature.xml)""",),
        ('structure', """Fichier Sconet Structures<br />
(ExportXML_Structures.zip ou Structures.xml)""",),),
        enseignant=(
        ('enseignant',"Fichier STS Personnels<br />(exemple : sts_emp_xxx_xxx.xml)"),))

AAF_FILES = dict(eleve=(
        ('eleve', "Fichier AAF Eleves<br />(exemple : ENT_xxx_Eleve_0000.xml)"),
        ('responsable', "Fichier AAF Responsables<br />(ENT_xxx_PersRelEleve_0000.xml)")),
                 eleve_ss_resp=(
        ('eleve', "Fichier AAF Eleves<br />(exemple : ENT_xxx_Eleve_0000.xml)"),),
                 enseignant=(
        ('enseignant', "Fichier AAF Personnels<br />(exemple : ENT_xxx_PersEducNat_0000.xml)"),))

BE1D_FILES = dict(eleve_ss_resp=(
        ('eleve', "Fichier CSV BE1D<br />(exemple : extraction.csv)"),))

CSV_FILES = dict(eleve_ss_resp=(
        ('eleve', "Fichier CSV Elèves<br />(exemple : eleves.csv)"),),
                 enseignant=(
        ('enseignant', "Fichier CSV Enseignants<br />(exemple : professeurs.csv)"),))

SCONET_FILEVARNAMES = dict(eleve=['eleve', 'nomenclature', 'responsable', 'structure'],
                           eleve_ss_resp=['eleve', 'nomenclature', 'structure'],
                           enseignant=['enseignant'])

AAF_FILEVARNAMES = dict(eleve=['eleve', 'responsable'],
                        eleve_ss_resp=['eleve'],
                        enseignant=['enseignant'])

BE1D_FILEVARNAMES = dict(eleve_ss_resp=['eleve'])

CSV_FILEVARNAMES = dict(eleve_ss_resp=['eleve'],
                        enseignant=['enseignant'])

TMP_DIR = '/usr/share/ead2/backend/tmp/importation'

# log pour debug
LOGFILE = '/var/log/eole/importation.log'
RAPPORTFILE = join(TMP_DIR, 'rapport.txt')

# nombres d'entrées à lire avant d'afficher un message
DEBUG_NUM = 100

# base Axiom pour le transfert
DB_DIR = join(TMP_DIR, 'import-scribe')

# préférences d'importation
PREF_FILES = dict(eleve=join(TMP_DIR, 'eleve.pref'),
                  enseignant=join(TMP_DIR, 'enseignant.pref'),
                  administratif=join(TMP_DIR, 'administratif.pref'),
                  responsable=join(TMP_DIR, 'responsable.pref'),)

# fichiers de listing des comptes
DEST_DIR = "/home/a/admin/perso/importation"
ELE_INFO = join(TMP_DIR, 'eleves.csv')
ELE_HEADER = "CLASSE;NOM;PRENOM;LOGIN;MOT DE PASSE"
RES_INFO = join(TMP_DIR, 'responsables.csv')
RES_HEADER = "NOM;PRENOM;LOGIN;MOT DE PASSE;ELEVES"
ENS_INFO = join(TMP_DIR, 'enseignants.csv')
ENS_HEADER = "NOM;PRENOM;LOGIN;MOT DE PASSE"
ADM_INFO = join(TMP_DIR, 'administratifs.csv')
ADM_HEADER = "NOM;PRENOM;LOGIN;MOT DE PASSE"

